import QtQuick 1.1
import com.nokia.meego 1.0
//import com.nokia.extras 1.0

Page {
    id:subteMap

    orientationLock: PageOrientation.LockPortrait

    tools:
        ToolBarLayout {
        visible: true
        ToolIcon { iconId: "toolbar-back"; onClicked: { mainMenu.close(); pageStack.pop(); } }

        ButtonRow {
            platformStyle: TabButtonStyle { }

            TabButton {
                id:subte
                text: "Subte"
                checked: true
                onClicked: {
                    map.source = "images/map.jpg"
                    map.width = 2048
                    map.height = 1522
                    subte.checked = true
                    premetro.checked = false
                }
            }
            TabButton {
                id:premetro
                text: "Premetro"
                onClicked: {
                    map.source = "images/premetro-map.jpg"
                    map.width = 530
                    map.height = 854
                    subte.checked = false
                    premetro.checked = true
                }
            }
        }


        ToolIcon {
            iconId: "toolbar-view-menu"
            onClicked: (mainMenu.status == DialogStatus.Closed) ? mainMenu.open() : mainMenu.close()
            anchors.right: parent === undefined ? undefined : parent.right
        }
    }


    Flickable {
        id:container
        width:parent.width
        height: subteMap.height
        contentWidth: map.width
        contentHeight: map.height
        contentX: map.width /3
        contentY: map.height /4

        Image {
            id: map
            source: "images/map.jpg"
            width:2048
            height: 1522
        }
    }
}
